"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = require("handlebars");
const lru_cache_1 = __importDefault(require("lru-cache"));
const cache = new lru_cache_1.default(1000);
exports.default = (htmlTemplate) => {
    if (!cache[htmlTemplate]) {
        try {
            cache[htmlTemplate] = handlebars_1.compile(htmlTemplate);
            cache[htmlTemplate]();
        }
        catch (e) {
            cache[htmlTemplate] = e;
        }
    }
    if (cache[htmlTemplate] instanceof Error) {
        throw cache[htmlTemplate];
    }
    else {
        return cache[htmlTemplate];
    }
};
//# sourceMappingURL=getCompiledHandlebarsTemplate.js.map