"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unist_util_visit_parents_1 = __importDefault(require("unist-util-visit-parents"));
exports.default = () => (ast, vFile) => {
    return unist_util_visit_parents_1.default(ast, "narrativeSchemaLabel", (labelNode, parents) => {
        if (labelNode.data.errorType) {
            labelNode.data.placement = "na";
            return;
        }
        const parent = parents[parents.length - 1];
        const grandparent = parents[parents.length - 2];
        if (parent.type === "paragraph" && parent.children.length === 1) {
            const parentIndex = grandparent.children.indexOf(parent);
            grandparent.children[parentIndex] = labelNode;
            labelNode.data.placement = "block";
        }
        else {
            labelNode.data.placement = "inline";
        }
    });
};
//# sourceMappingURL=extractPlacement.js.map