"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const object_hash_1 = __importDefault(require("object-hash"));
const types_1 = require("./types");
exports.getLabelIdPrefix = (vFile) => object_hash_1.default(vFile.path).substring(0, 8);
exports.deriveLabelType = (start, end) => {
    if (start === types_1.LabelFence.START && end === types_1.LabelFence.END) {
        return "single";
    }
    if (start === types_1.LabelFence.START && end === types_1.LabelFence.END_OPENING) {
        return "paired_opening";
    }
    if (start === types_1.LabelFence.START_CLOSING && end === types_1.LabelFence.END) {
        return "paired_closing";
    }
    return "invalid";
};
exports.markLabelNodeAsErroneous = (vFile, labelNode, errorType, errorCaption) => {
    labelNode.data.errorType = errorType;
    labelNode.data.errorCaption = errorCaption;
    vFile.message(errorCaption, labelNode, "litvis:narrative-schema-label");
};
exports.isValidLabelName = (name) => !!name.match(/^[a-zA-Z][a-zA-Z0-9_]*$/);
//# sourceMappingURL=utils.js.map